<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>

  <properties>
    <title>IDEA Properties</title>
    <author email="kschrader@karmalab.org">Kurt Schrader</author>
    <author email="evenisse@ifrance.com">Emmanuel Venisse</author>
    <author email="michal.amzcka@dimatics.com">Michal Maczka</author>
  </properties>
  <body>
    <section name="Maven IDEA lugin Settings">
      <table>
        <tr>
          <th>Property name</th>
          <th>Optional?</th>
          <th>Description</th>
        </tr>
        <tr>
          <td>maven.cvs.client.exe</td>
          <td>Yes</td>
          <td>
            Specifies the cvs path.
          </td>
        </tr>
        <tr>
          <td>maven.idea.project.multiproject.includes</td>
          <td>Yet</td>
          <td>
            This is the list of file specifications to be 
            included when searching for projects to be processed 
            by the plugin. 
            <br/> 
             Default value is ${maven.multiproject.includes} 
             (see <a href="http://maven.apache.org/reference/plugins/multiproject/properties.html">multiproject</a>)
              It means that mutiproject setup is used when no value is provided.
          </td>
        </tr>

        <tr>
          <td>maven.idea.project.multiproject.excludes</td>
          <td>Yet</td>
          <td>
            This is the list of file specifications to be excluded 
            when <b>idea:multiproject</b> goal is executed
            <br/>
            Default value is ${maven.multiproject.excludes}  
          </td>
        </tr>
        <tr>
          <td>maven.idea.project.multiproject.basdir</td>
          <td>No</td>
          <td>
             This is the base directory that the plugin will use  for <b>idea:multiproject</b> goal is executed
             <br/>
             Default value is ${maven.multiproject.basdir}  
          </td>
        </tr>        
      </table> 
    </section>
  </body>
</document>
